For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • GETList Shipping Methods in Zone
              • POSTCreate Shipping Method
              • GETGet Shipping Method
              • PUTUpdate Shipping Method
              • DELDelete Shipping Method
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV2Shipping Method

Delete Shipping Method

DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/shipping/zones/:zone_id/methods/:method_id
DELETE
/stores/:store_hash/v2/shipping/zones/:zone_id/methods/:method_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/shipping/zones/1/methods/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes an Shipping Method. Real Time Carrier Connections can also be deleted.

Was this page helpful?
Previous

Update Shipping Method

Next

List Shipping Zones

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

zone_idintegerRequired
ID of the shipping zone.
method_idintegerRequired
ID of the shipping method within the shipping zone.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response